package ilog.rules.support.debugtrace;

import ilog.rules.res.persistence.impl.jdbc.IlrDatasourceTraceDAOFactory;
import ilog.rules.res.persistence.trace.IlrTraceDAO;
import ilog.rules.res.persistence.trace.IlrTraceDAOException;

import java.util.logging.Logger;

public class DebugTraceDAOFactory extends IlrDatasourceTraceDAOFactory {
	static final Logger LOG = Logger.getLogger(DebugTraceDAOFactory.class.getName());

	@Override
	public IlrTraceDAO createDAO() throws IlrTraceDAOException {
		return new DebugTraceDAO(configurator, connectionProvider);
	}
}
